Bug 492010 - powernow-k8: export module parameters to /sys/modules
powernow-k8: export module parameters to /sys/modules
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 18:57 EDT by Prarit Bhargava
Modified: 2009-09-02 05:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:01:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 fix for this issue (687 bytes, patch)
2009-03-24 18:57 EDT, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (877 bytes, patch)
2009-03-25 09:01 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2009-03-24 18:57:23 EDT
Created attachment 336571 [details]
RHEL5 fix for this issue

Description of problem: 

tscsync and preregister_acpi_perf are not exported via /sys/modules/powernow-k8/parameters.

Version-Release number of selected component (if applicable): 2.6.18-136.el5


How reproducible: 100%


Steps to Reproduce:
1. Boot on an AMD system.
2. ls -l /sys/modules/powernow-k8
  
Actual results:  There is no /sys/modules/powernow-k8/parameters directory.


Expected results:  There is a /sys/modules/powernow-k8/parameters directory.
Comment 1 Prarit Bhargava 2009-03-25 09:01:06 EDT
Created attachment 336635 [details]
RHEL5 fix for this issue
Comment 3 RHEL Product and Program Management 2009-04-07 18:08:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2009-05-06 13:17:08 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 7 errata-xmlrpc 2009-09-02 05:01:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.